using System;
using System.Collections.Generic;

namespace Machinations
{
    public static class RandomUtils
    {
        public static Random Random = new Random();

        public static double NextDouble()
        {
            return Random.NextDouble();
        }

        public static void Shuffle<T>(this IList<T> list)
        {
            int n = list.Count;
            while (n > 1)
            {
                n--;
                int k = Random.Next(n + 1);
                T value = list[k];
                list[k] = list[n];
                list[n] = value;
            }
        }
    }
}
